<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

openside('Map Raider');

// ====================================================================
// MapRaider test page
// --------------------------------------------------------------------

// --------------------------------------------------------------------
// Code written by John Dailey and is Copyright (c)
// 2003 by John Dailey unless otherwise stated.
// Based on the JScript ASP version written by Conan Theobald
//
// Visit: www.mapraider.com
// Email: info@mapraider.com
// ====================================================================

// Turn off notice reporting so that we don't get PHP notices
// if a map doesn't have a particular tag, etc.

error_reporting(E_ALL & ~E_NOTICE);

include_once("inc.mapraider.php");

// Initialization

$sHTML = "";
$aMaps = array();
$iCounter = 0;

$oMapraider = new XMLMapRaiderClass;

// Initialize our cache
$oMapraider->Cache_Init();

$oMapraider->IncludeFile( "Top10_UT2003" );
$oMapraider->Update();

// Display the Top-10 highest rated Unreal Tournament 2003 maps:

$oMap = $oMapraider->FindFirst( "Top10_UT2003" );

while ( !is_null($oMap) ) {

	$aMaps[$iCounter] = $oMap;
	$iCounter++;
		
	$oMap = $oMapraider->FindNext();

}

// save any changes to the cache
$oMapraider->Cache_Save();

srand(time());
$iRandomMapIndex = (rand()%($iCounter - 1)) + 1;

$oMapraider = null;

?>
<table width="100%" border="0" cellspacing="0" cellpadding="5">
	<tr valign="top">
		<td>
			<div align="center">
				<b>Top 10 UT2004 Maps</b></div>
		</td>
	</tr>
	<tr valign="top">
		<td><a href="<? echo $aMaps[$iRandomMapIndex]["url"]; ?>"><img src="<? echo $aMaps[$iRandomMapIndex]["screenshot"]; ?>" alt="" height="90" width="120" border="0" hspace="5" vspace="5"></a></td>
	</tr>
	<tr>
		<td><div align="center" class="side-body"><? echo $aMaps[$iRandomMapIndex]["mapname"]; ?></div></td>
	</tr>
</table>

<?
closeside();
?>